from django.views.decorators.http import require_http_methods

from backend.Service.WechatService import WechatService
from django.views.decorators.http import require_http_methods

from backend.Service.WechatService import WechatService

@require_http_methods(['POST'])
def insertInfo(request):
    return WechatService.insertInfo(request)

@require_http_methods(['POST'])
def getInfoList(request):
    return WechatService.getInfoList(request)

@require_http_methods(['POST'])
def updateUserInfo(request):
    return WechatService.updateUserInfo(request)

@require_http_methods(['POST'])
def updateNikeName(request):
    return WechatService.updateNikeName(request)


@require_http_methods(['POST'])
def toExamine(request):
    return WechatService.to_examine(request)


@require_http_methods(['POST'])
def deleteUserInfo(request):
    return WechatService.deleteUserInfo(request)

@require_http_methods(['POST'])
def get_access_token(request):
    return WechatService.get_access_token(request)

@require_http_methods(['POST'])
def wechatLogin(request):
    return WechatService.wechatLogin(request)

@require_http_methods(['POST'])
def getUserPhoneNumber(request):
    return WechatService.getUserPhoneNumber(request)

@require_http_methods(['POST'])
def getUserInfo(request):
    return WechatService.getUserInfo(request)

@require_http_methods(['POST'])
def getKbmUrl(request):
    return WechatService.getKbmUrl(request)
@require_http_methods(['POST'])
def getOpenPid(request):
    return WechatService.getOpenPid(request)

@require_http_methods(['POST'])
def updateBackground(request):
    return WechatService.updateBackground(request)







#
@require_http_methods(['POST'])
def pcSMS(request):
    return WechatService.pcSMS(request)

@require_http_methods(['POST'])
def codeCheckout(request):
    return WechatService.codeCheckout(request)

@require_http_methods(['POST'])
def pcLoging(request):
    return WechatService.pcLoging(request)

@require_http_methods(['POST'])
def pcInnerAi(request):
    return WechatService.pcInnerAi(request)



